Bug 1285532 - [abrt] dnf: __init__.py:1020:_makeOutput:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 8: ordinal not in range(128)
[abrt] dnf: __init__.py:1020:_makeOutput:UnicodeDecodeError: 'ascii' codec ca...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fec575af707a3bc5cbcd2d31753...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 16:06 EST by Frank Büttner
Modified: 2016-07-19 14:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (788.07 KB, text/plain)
2015-11-25 16:06 EST, Frank Büttner
no flags Details
File: backtrace (1.75 KB, text/plain)
2015-11-25 16:06 EST, Frank Büttner
no flags Details
File: dnf-makecache.log (371.95 KB, text/plain)
2015-11-25 16:06 EST, Frank Büttner
no flags Details
File: dso_list (84 bytes, text/plain)
2015-11-25 16:06 EST, Frank Büttner
no flags Details
File: environ (2.03 KB, text/plain)
2015-11-25 16:06 EST, Frank Büttner
no flags Details

  None (edit)
Description Frank Büttner 2015-11-25 16:06:31 EST
Description of problem:
call dnf system-upgrade --releasever=23

Version-Release number of selected component:
dnf-1.1.3-1.fc22

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python -OO /usr/bin/dnf system-upgrade
executable:     /usr/bin/dnf
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
__init__.py:1020:_makeOutput:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 8: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 117, in _main
    cli.configure(map(ucd, args))
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1033, in configure
    self.command.configure(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/system_upgrade.py", line 414, in configure
    self.opts = self.parse_args(args)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/system_upgrade.py", line 398, in parse_args
    dnf.cli.commands.err_mini_usage(self.cli, self.cli.base.basecmd)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/__init__.py", line 52, in err_mini_usage
    txt = cli.cli_commands["help"]._makeOutput(cmd)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/__init__.py", line 1020, in _makeOutput
    help_output += "\n\n%s" % summary
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 8: ordinal not in range(128)

Local variables in innermost frame:
help_output: u'system-upgrade [OPTIONEN] [download --releasever=VERSION|reboot|clean|log]'
usage: u'[OPTIONEN] [download --releasever=VERSION|reboot|clean|log]'
canonical_name: u'system-upgrade'
command: <class 'dnf.plugin.dynamic.system_upgrade.SystemUpgradeCommand'>
summary: 'System f\xc3\xbcr die Aktualisierung auf eine neue Release-Version vorbereiten'
Comment 1 Frank Büttner 2015-11-25 16:06:48 EST
Created attachment 1098969 [details]
File: _var_log_dnf.log
Comment 2 Frank Büttner 2015-11-25 16:06:50 EST
Created attachment 1098970 [details]
File: backtrace
Comment 3 Frank Büttner 2015-11-25 16:06:56 EST
Created attachment 1098971 [details]
File: dnf-makecache.log
Comment 4 Frank Büttner 2015-11-25 16:06:57 EST
Created attachment 1098972 [details]
File: dso_list
Comment 5 Frank Büttner 2015-11-25 16:06:59 EST
Created attachment 1098973 [details]
File: environ
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:33:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-07-19 14:32:03 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.